html, body {
    height: 100%;
    overflow: hidden;
    font-family: Calibri, Arial, Helvetica, sans-serif;
  }
  
#map { 
    height: 98vh;
    width: 70%;
 }
 #drones {
    width: 30%;
    display:flex;
    flex-direction: column;
    height: 100vh; 
    overflow: hidden; 
    flex-direction: column
 }
 button, input {
    margin:3px;
    padding: 5px 3px;
 }
 
button:active {
    background-color: lightgreen; /* Колір після натискання */
  }
 #table{
    overflow:auto ;
    height: 75%;
    padding:0px 10px;
    margin: 0 5px;
    background-color:lightgray;
 }
 .dron{
    padding:10px;
    margin-top:5px;
    border: 1px solid black;
    border-radius: 10px;
 }
 #target{
    text-shadow: 1px 1px 1px black;
    font-size: x-large;
    padding-right: 25px;

 }
 /* The popup form - hidden by default */
.form-popup {
    display: none;
    position: fixed;
    width: 26%;
    bottom: 0;
    right: 15px;
    border: 3px solid #f1f1f1;
    z-index: 9;
    }

    /* Add styles to the form container */
.form-container {
    padding: 10px;
    background-color: lightgray;
    }
#readings {
    overflow: auto;
    width: 100%;
    height: 450px;
}
    /* Full-width input fields */
.form-container input[type=text], .form-container input[type=password] {
    width: auto;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: none;
    background: #f1f1f1;
    }

    /* When the inputs get focus, do something */
.form-container input[type=text]:focus, .form-container input[type=password]:focus {
    background-color: #ddd;
    outline: none;
    }

    /* Set a style for the submit/login button */
.form-container .btn {
    background-color: #04AA6D;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 50%;
    margin-bottom:10px;
    opacity: 0.8;
    }
#save, #addDrone {
        width: 50%;
        background-color: red;
        color: white;
        border: none;
        font-size: larger;
    }
#send:disabled, #save:disabled{
    background-color: #434444;
    cursor:auto;
}
    /* Add a red background color to the cancel button */
.form-container .cancel {
    background-color: red;
    }

    /* Add some hover effects to buttons */
#portButton:hover {
    opacity: 1;
    background-color: #04AA6D;
    }